# Interface ErrorType

All Superinterfaces:
  `AnnotatedConstruct, DeclaredType, ReferenceType, TypeMirror`

public interface ErrorType extends DeclaredType
Represents a class or interface type that cannot be properly modeled. This may be the result of a processing error, such as a missing class file or erroneous source code. Most queries for information derived from such a type (such as its members or its supertype) will not, in general, return meaningful results.

Since:
  1.6

- ## Method Summary

  ### Methods declared in interface DeclaredType

  `asElement, getEnclosingType, getTypeArguments`

  ### Methods declared in interface TypeMirror

  `accept, equals, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getKind, hashCode, toString`